#
# spec file for package BlockSolve95 (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  f2c lapack mpich
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs f2c file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd lapack less libtool libz m4 make man mktemp modutils mpich ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         BlockSolve95
Summary:      Library to solve sparse linear systems with MPI
Version:      3.0
Release:      127
Copyright:    GPL
Group:        Beowulf/Scientific Computing
URL: http://www-unix.mcs.anl.gov/sumaa3d/BlockSolve
Source: ftp://info.mcs.anl.gov/pub/BlockSolve95/BlockSolve95.tar.Z
Patch: BlockSolve95.dif
Requires: mpich
BuildRoot:	/var/tmp/%{name}-root

%description
BlockSolve95 is a scalable parallel software library primarily intended
for the solution of sparse linear systems that arise from physical
models. This library uses MPI (mpich) for parallel communication. You
can find more infos at http://www-unix.mcs.anl.gov/sumaa3d/BlockSolve/.

Authors:
--------
    Mark T. Jones <jones@cs.utk.edu>
    Paul E. Plassmann <plassman@mcs.anl.gov>

SuSE series: beo

%prep
%setup -n BlockSolve95 
%patch

%build
make -f Makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.linux DESTDIR=$RPM_BUILD_ROOT install

%files
/usr/lib/libBS95.a
/usr/include/*.h
%doc /usr/share/man/man3/*
%doc /usr/share/man/manh/*
%doc COPYRIGHT MACHINES MPI README
%doc doc/manual/manual.ps doc/manual/manual.dvi
%doc examples

%changelog -n BlockSolve95
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Tue Nov 07 2000 - nashif@suse.de
- Changed to long package name
- Use BuildRoot
* Thu Mar 02 2000 - uli@suse.de
- moved man pages to /usr/share
* Wed Jan 05 2000 - marquardt@suse.de
- added requireies to spec file
* Tue Jan 04 2000 - marquardt@suse.de
- initial release
